-- AutoAcceptRes
-- Created by SLA
-- http://ui9.ru/
-- Released 2010-07-14
-- Updated  ____-__-__

-- RUS:
-- Если хотите, чтобы аддон ещё и закрывал окно с приглашением, то замените значение
-- переменной "AllowClosingAllMessageboxes" с "false" на "true" (в 23 строке).
-- Но сразу вас предостерегу, это может быть ОПАСНО. Потому, что, в момент оживления,
-- аддон *закроет* ВСЕ открытые мессаджбоксы (если такие будут в этот момент)...
-- Если не боитесь этой очень маловероятной ситуации, то можете смело выставить "true" :))

-- ENG:
-- If you want this addon to close the invitation messagebox as well, then change
-- the value of variable "AllowClosingAllMessageboxes" from "false" to "true" (line 23).
-- But remember, this can be DANGEROUS. Because in the resurrection moment,
-- this addon will *close* ALL opened messageboxes (if any)...
-- But if you aren't afraid of this uncommon situation, then feel free to set "true" :))

-- GLOBALS

Global( "AllowClosingAllMessageboxes", false )

-- EVENT HANDLERS

function ChooseLife( params )
	avatar.ResurrectReply( true ) -- Sure! :)
	if AllowClosingAllMessageboxes then
		common.StateUnloadManagedAddon( "ContextUniMessageBox" )
		common.StateLoadManagedAddon( "ContextUniMessageBox" )
	end
end

-- INITIALIZATION

function Init()
	common.RegisterEventHandler( ChooseLife, "EVENT_RESURRECT_REQUESTED" )
end

Init()
